@import "../base/variable.scss";
@import "../base/mixins.scss";

.breadcame_section{
    background-color: $light_blue;
    .breadcame_area{
        h2{
            font-size: 48px;
            font-weight: 700;
            color: $white;
            text-align: center;
            padding: 65px 0;
        }
    }
}
.intergrated_parent{
    padding-top: 95px;
    padding-bottom: 150px;
}
.integrated_metering_section{
    padding: 100px 0;
    position: relative;
    margin-bottom: 30px;
    &:after{
        position: absolute;
        content: "";
        width: 32%;
        height: 100%;
        top: 0;
        left: 0;
        background-color: $light_blue;
        z-index: 0;
    }
    &.about_top_space{
        margin-top: 95px;
    }
    &.msv{
        &:after{
            right: 0;
            left: unset;
        }
    }
    .inner_area{
        position: relative;
        z-index: 1;
        // padding: 76px 0;
        .image_area{
            width: 100%;
            height: 440px;
            img{
                width:100%;
                height: 100%;
                object-fit: cover;
            }
        }
        .content_area{
            .header_area{
                h4{
                    font-size: 48px;
                    font-weight: 700;
                    color: $light_blue;
                }
            }
            .content{
                p{
                    padding-top: 30px;
                    font-size: 14px;
                    font-weight: 400;
                    color: $offfspra2;
                }
            }
            &.align-right{
                text-align: right;
            }
        }
    }
}

.crane_service_section{
    padding-top: 70px;
    .content_area{
        .header{
            text-align: center;
            h3{
                font-size: 48px;
                font-weight: 700;
                color: $light_blue;
            }
            p{
                padding-top: 30px;
                padding-bottom: 10px;
                font-size: 14px;
                font-weight: 400;
                color: $offfspra2;
            }
        }
        .content_box{
            padding-top: 60px;
            .inner_area{
                background-color: $body-2;
                padding-top: 35px;
                padding-left: 30px;
                padding-bottom: 30px;
                padding-right: 60px;
                position: relative;
                max-height: 100%;
                p{
                    font-size: 14px;
                    font-weight: 400;
                    color: $secondary_color;
                    line-height: 22px;
                    word-break: break-all;
                }
                &::before{
                    content: "";
                    position: absolute;
                    border-top: 11px solid $light_blue;
                    top: 0;
                    left: 0;
                    width: 100%;
                }
            }
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px){
    .intergrated_parent{
        padding-top: 130px;
        padding-bottom: 220px;
    }
    .integrated_metering_section{
        &:after {
            width: 38%;
        }
    }
    .crane_service_section{
        .content_area{
            .content_box{
                .inner_area{
                    padding-right: 93px;
                }
            }
        }
    }
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}
@media (min-width: 1200px) and (max-width: 1399px) {
    
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .breadcame_section{
        .breadcame_area{
            h2{
                font-size: 38px;
                padding: 50px 0;
            }
        }
    }
    .intergrated_parent{
        padding-top: 100px;
        padding-bottom: 100px;

    }
    .integrated_metering_section{
        .inner_area{
            padding: 0px 89px;
            &.last_inner_area{
                padding: 106px 55px;
            }
            &.mechanical_seal_inner_area{
                padding-top: 70px;
                padding-bottom: 70px;
            }
            .image_area{
                height: 355px;
            }
            .content_area{
                .header_area{
                    h4{
                        font-size: 40px;
                    }
                }
            }
        }
    }
    .crane_service_section{
        padding-top: 30px;
        .content_area{
            .header{
                h3{
                    font-size: 40px;
                }
                p{
                    padding-top: 20px;
                    padding-bottom: 0;
                }
            }
            .content_box{
                padding-top: 30px;
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .breadcame_section{
        .breadcame_area{
            h2{
                font-size: 28px;
                padding: 32px 0;
            }
        }
    }
    .intergrated_parent{
        padding-top: 30px;
        padding-bottom: 60px;
    }
    .integrated_metering_section{
        padding: 10px 0;
        &:after{
            height: 0px;
        }
        .inner_area{
            padding: 0;
            .image_area{
                height: 630px;
            }
            .content_area{
                padding-right: 20px;
                padding-top: 30px;
                .header_area{
                    h4{
                        font-size: 24px;
                    }
                }
                .content{
                    p{
                        padding-top: 17px;
                    }
                }
                &.align-right{
                    text-align: left;
                }
            }
        }
    }
    .crane_service_section{
        padding-top: 0px;
        padding-bottom: 60px;
        .content_area{ 
            .header{
                h3{
                    font-size: 24px;
                }
                p{
                    padding-top: 17px;
                    padding-bottom: 0;
                }
            }
            .content_box{
                padding-top: 30px;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .breadcame_section{
        .breadcame_area{
            h2{
                font-size: 25px;
                padding: 28px 0;
            }
        }
    }
    .intergrated_parent{
        padding-top: 30px;
        padding-bottom: 20px;
    }
    .integrated_metering_section{
        &:after{
            height: 0px;
        }
        padding: 0 0;
        .inner_area{
            padding: 0;
            .image_area{
                height: 430px;
            }
            .content_area{
                padding-right: 20px;
                padding-top: 30px;
                .header_area{
                    h4{
                        font-size: 21px;
                    }
                }
                .content{
                    p{
                        padding-top: 14px;
                    }
                }
                &.align-right{
                    text-align: left;
                }
            }
        }
    }
    .crane_service_section{
        padding-top: 0px;
        padding-bottom: 40px;
        .content_area{ 
            .header{
                h3{
                    font-size: 21px;
                }
                p{
                    padding-top: 14px;
                    padding-bottom: 0;
                }
            }
            .content_box{
                padding-top: 20px;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .breadcame_section{
        .breadcame_area{
            h2{
                font-size: 25px;
                padding: 29px 0;

            }
        }
    }
    .intergrated_parent{
        padding-top: 30px;
        padding-bottom: 10px;
    }
    .integrated_metering_section{
        &:after{
            height: 0px;
        }
        padding: 0 0;
        .inner_area{
            padding: 0;
            .image_area{
                height: 275px;
            }
            .content_area{
                padding-right: 20px;
                padding-top: 12px;
                .header_area{
                    h4{
                        font-size: 20px;
                    }
                }
                .content{
                    p{
                        padding-top: 8px;
                    }
                }
                &.align-right{
                    text-align: left;
                }
            }
        }
    }
    .crane_service_section{
        padding-top: 0px;
        padding-bottom: 40px;
        .content_area{ 
            .header{
                h3{
                    font-size: 20px;
                }
                p{
                    padding-top: 8px;
                    padding-bottom: 0;
                }
            }
            .content_box{
                padding-top: 20px;
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .breadcame_section{
        .breadcame_area{
            h2{
                font-size: 22px;
                padding: 27px 0;
            }
        }
    }
    .intergrated_parent{
        padding-top: 30px;
        padding-bottom: 10px;
    }
    .integrated_metering_section{
        &:after{
            height: 0px;
        }
        padding: 0 0;
        .inner_area{
            padding: 0;
            .image_area{
                height: 294px;
            }
            .content_area{
                padding-right: 20px;
                padding-top: 20px;
                .header_area{
                    h4{
                        font-size: 20px;
                    }
                }
                .content{
                    p{
                        padding-top: 8px;
                    }
                }
                &.align-right{
                    text-align: left;
                }
            }
        }
    }
    .crane_service_section{
        padding-top: 0px;
        padding-bottom: 40px;
        .content_area{ 
            .header{
                h3{
                    font-size: 20px;
                }
                p{
                    padding-top: 8px;
                    padding-bottom: 0;
                }
            }
            .content_box{
                padding-top: 20px;
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}